using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
namespace geckoFXbrowser
{
    class FileMan
    {
        public string FilePath_Favorites  { get; private set; }
       
        private string FolderPath_DataRoot;
        private string settingpath;
        
        public FileMan(string EXEPath)
        {
            FolderPath_DataRoot = Properties.Settings.Default.FolderPath_DataRoot;
            settingpath = Path.Combine(Path.GetDirectoryName(EXEPath), FolderPath_DataRoot);

            FilePath_Favorites = Path.Combine(settingpath, Properties.Settings.Default.FilePath_Favorites);
            
        }

        public StreamReader GetReader(string FileName, Encoding encoding)
        {
            return new StreamReader(FileName , encoding);
        }

    }
}
